package edu.berkeley.cs160.theflash.flashlight;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.*;
import android.view.*;
import android.widget.AdapterView.OnItemSelectedListener;

public class FlashlightMenu extends ListActivity {

    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        this.setTitle("Flashlight Modes");
        BulletedTextListAdapter btla = new BulletedTextListAdapter(this);
        BulletedText bt1 = new BulletedText("Flashlight",getResources().getDrawable(R.drawable.flashlight_large));
        BulletedText bt2 = new BulletedText("Blinking",getResources().getDrawable(R.drawable.siren_large));
        BulletedText bt3 = new BulletedText("Ambient",getResources().getDrawable(R.drawable.ambient_large));
        BulletedText bt4 = new BulletedText("Alarm",getResources().getDrawable(R.drawable.alarm_large));
        BulletedText bt5 = new BulletedText("Help",getResources().getDrawable(R.drawable.help_large));
        
        btla.addItem(bt1);
        btla.addItem(bt2);
        btla.addItem(bt3);
        btla.addItem(bt4);
        btla.addItem(bt5);
        setListAdapter(btla);
        
        setupListeners();
    }
 
    protected void setupListeners() {
    	getListView().setOnItemSelectedListener(new OnItemSelectedListener() {
          	 public void onItemSelected(AdapterView parent, View v, int position, long id) {
          		 ListView lview = (ListView) parent;
          		 BulletedTextListAdapter btla = (BulletedTextListAdapter) lview.getAdapter();
          		 int numItems = btla.getCount();
          		 for(int i = 0; i < numItems; i++) {
          			 BulletedTextView btv = (BulletedTextView)lview.getChildAt(i);
          			 if(position == i) {
          				 if(btv != null) {
          					 btv.highlightText(true);
          				 }
          				 else {
          					 ((BulletedText)btla.getItem(i)).mHighlighted = true;
          				 }
          			 }
          			 else {
          				 if(btv != null) {
          					 btv.highlightText(false);
          				 }
          				 else {
          					 ((BulletedText)btla.getItem(i)).mHighlighted = false;
          				 }
          			 }
          		 }
          	 }
          	 public void onNothingSelected(AdapterView parent) {
          		 
          	 }
    	});
    }
    
    protected void onCompleteThaw(Bundle state) {
    	setupListeners();
    }
    
    protected void onListItemClick(ListView l, View v, int position, long id) {
    	if(position == 0) {
    		//flashlight
    		Intent i = new Intent(this, Flashlight.class);
    		startActivity(i);
    	} else if(position == 1) {
    		//blinking
    		Intent i = new Intent(this, Blinking.class);
    		startActivity(i);
    	} else if(position == 2) {
    		//ambient
    		Intent i = new Intent(this, Shapes.class);
    		startActivity(i);
    	} else if(position == 3) {
    		//alarm
    		Intent i = new Intent(this, AlarmController.class);
    		startActivity(i);
    	} else if(position == 4) {
    		//help
    		Intent i = new Intent(this, HelpMenu.class);
    		startActivity(i);
    	}
    }
    
    public boolean onKeyDown(int keyCode, KeyEvent event){
    	int listPos = getSelectedItemPosition();
    	if(keyCode==KeyEvent.KEYCODE_DPAD_RIGHT){
    		if(listPos == 0){
    			Intent i = new Intent(this, Flashlight.class);
        		startActivity(i);
    		}else if(listPos == 1){
    			Intent i = new Intent(this, Blinking.class);
        		startActivity(i);
    		}else if(listPos == 2){
    			Intent i = new Intent(this, Shapes.class);
        		startActivity(i);
    		}else if(listPos == 3){
    			Intent i = new Intent(this, AlarmController.class);
        		startActivity(i);
    		}else if(listPos == 4){
    			Intent i = new Intent(this, HelpMenu.class);
        		startActivity(i);
    		}else{
    			//do nothing
    		}
    		super.onKeyDown(keyCode, event);
    		return true;
    	}
    	super.onKeyDown(keyCode, event);
    	return false;
    }
}