package edu.berkeley.cs160.theflash.flashlight;

import android.app.*;
import android.content.Intent;
import android.os.Bundle;
import android.widget.*;
import android.view.KeyEvent;
import android.view.View;
import android.view.Window;
import android.view.animation.*;
import android.graphics.*;

public class GoBears extends Activity{
	
	TextView mGoBearsView;
	
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		// Turn off the title bar
        requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.tambient);
		TextView go = (TextView) findViewById(R.id.go);
		go.setBackgroundColor(Color.argb(255,255,255,0));
		TextView bears = (TextView) findViewById(R.id.bears);
		mGoBearsView = go;
		mGoBearsView.setFocusable(true);
		bears.setBackgroundColor(Color.argb(255,0,0,255));		
		AlphaAnimation alpha = new AlphaAnimation( (float) 0.0, (float) 1.0);
		AlphaAnimation alpha2 = new AlphaAnimation((float) 1.0, (float) 0.0);						
		alpha.setDuration(3000);
		alpha2.setDuration(3000);					
		alpha.setRepeatMode(Animation.REPEAT);
		alpha2.setRepeatMode(Animation.REVERSE);		
		go.startAnimation(alpha2);
		bears.startAnimation(alpha);
		
		//set onKeyListener
        mGoBearsView.setOnKeyListener(new View.OnKeyListener(){
        	
        	public boolean onKey(View v, int keyCode, KeyEvent event){
        		//Pressing the middle select key to switch to Bear mode
        		if(keyCode==KeyEvent.KEYCODE_DPAD_CENTER && event.getAction() == KeyEvent.ACTION_UP){
        			//Notify flashlight off
        			Toast.makeText(GoBears.this, "Kube", Toast.LENGTH_SHORT).show();
        			Intent intent = new Intent(GoBears.this, Kube.class);
    	            startActivity(intent);
    	            finish();
        			return true;
        		}else{
        			return false;
        		}
        	}
        });
    }
}
