/* $Id: TestLayout.java 57 2007-11-21 18:31:52Z steven $
 * 
 * Copyright 2007 Steven Osborn
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package edu.berkeley.cs160.theflash.flashlight;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.*;
import android.widget.AdapterView.OnItemSelectedListener;
import android.view.*;

public class HelpMenu extends ListActivity {

    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        this.setTitle("Help");
        BulletedTextListAdapter btla = new BulletedTextListAdapter(this);
        BulletedText bt1 = new BulletedText("Flashlight Help",getResources().getDrawable(R.drawable.flashlight_large));
        BulletedText bt2 = new BulletedText("Blinking Help",getResources().getDrawable(R.drawable.siren_large));
        BulletedText bt3 = new BulletedText("Ambient Help",getResources().getDrawable(R.drawable.ambient_large));
        BulletedText bt4 = new BulletedText("Alarm Help",getResources().getDrawable(R.drawable.alarm_large));
        btla.addItem(bt1);
        btla.addItem(bt2);
        btla.addItem(bt3);
        btla.addItem(bt4);
        setListAdapter(btla);
        
        setupListeners();
    }
    
    protected void setupListeners() {
    	getListView().setOnItemSelectedListener(new OnItemSelectedListener() {
          	 public void onItemSelected(AdapterView parent, View v, int position, long id) {
          		 ListView lview = (ListView) parent;
          		 BulletedTextListAdapter btla = (BulletedTextListAdapter) lview.getAdapter();
          		 int numItems = btla.getCount();
          		 for(int i = 0; i < numItems; i++) {
          			 BulletedTextView btv = (BulletedTextView)lview.getChildAt(i);
          			 if(position == i) {
          				 if(btv != null) {
          					 btv.highlightText(true);
          				 }
          				 else {
          					 ((BulletedText)btla.getItem(i)).mHighlighted = true;
          				 }
          			 }
          			 else {
          				 if(btv != null) {
          					 btv.highlightText(false);
          				 }
          				 else {
          					 ((BulletedText)btla.getItem(i)).mHighlighted = false;
          				 }
          			 }
          		 }
          	 }
          	 public void onNothingSelected(AdapterView parent) {
          		 
          	 }
    	});
    }
    
    protected void onCompleteThaw(Bundle state) {
    	setupListeners();
    }
    
    protected void onListItemClick(ListView l, View v, int position, long id) {
    	if(position == 0) {
    		//flashlight
    		Intent i = new Intent(this, FlashlightHelp.class);
    		startActivity(i);
    	} else if(position == 1) {
    		//blinking
    		Intent i = new Intent(this, BlinkHelp.class);
    		startActivity(i);
    	} else if(position == 2) {
    		//ambient
    		Intent i = new Intent(this, AmbientHelp.class);
    		startActivity(i);
    	} else if(position == 3) {
    		//alarm
    		Intent i = new Intent(this, AlarmHelp.class);
    		startActivity(i);
    	}
    }
    
    public boolean onKeyDown(int keyCode, KeyEvent event){
    	int listPos = getSelectedItemPosition();
    	if(keyCode==KeyEvent.KEYCODE_DPAD_RIGHT){
    		if(listPos == 0){
    			Intent i = new Intent(this, FlashlightHelp.class);
        		startActivity(i);
    		}else if(listPos == 1){
    			Intent i = new Intent(this, BlinkHelp.class);
        		startActivity(i);
    		}else if(listPos == 2){
    			Intent i = new Intent(this, AmbientHelp.class);
        		startActivity(i);
    		}else if(listPos == 3){
    			Intent i = new Intent(this, AlarmHelp.class);
        		startActivity(i);
    		}else{
    			//do nothing
    		}
    		return true;
    	}else if(keyCode==KeyEvent.KEYCODE_DPAD_LEFT){
    		finish();
    	}
    	super.onKeyDown(keyCode, event);
    	return false;
    }
}