package edu.berkeley.cs160.theflash.flashlight;

/* 
 * Copyright (C) 2007 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//package com.google.android.samples.app;

import android.content.Context;
import android.content.Intent;
import android.content.IntentReceiver;
import android.os.DeadObjectException; 
import android.view.KeyEvent; 
import android.view.IWindowManager; 
import android.os.ServiceManager;  

// Need the following import to get access to the app resources, since this
// class is in a sub-package.
//import com.google.android.samples.R;

/**
 * This is an example of implement an {@link IntentReceiver} for an alarm that
 * should occur once.
 * <p>
 * When the alarm goes off, we show a <i>Toast</i>, a quick message.
 */
public class OneShotAlarm extends IntentReceiver
{
    @Override
    public void onReceiveIntent(Context context, Intent intent)
    {
    	Intent newIntent = new Intent(context, Blinking.class);
    	newIntent.addLaunchFlags(Intent.NEW_TASK_LAUNCH);
    	newIntent.addLaunchFlags(Intent.MULTIPLE_TASK_LAUNCH);
    	newIntent.addLaunchFlags(Intent.NO_HISTORY_LAUNCH);
    	newIntent.addLaunchFlags(Intent.SINGLE_TOP_LAUNCH);
    	context.startActivity(newIntent);

    	/**
    	try{
    		sendKeySync(new KeyEvent(KeyEvent.ACTION_DOWN, KeyEvent.KEYCODE_DPAD_RIGHT));
    	}catch (DeadObjectException e){
    		//do nothing
    	}
    	 */
    }
    
     public void sendKeySync(KeyEvent event) throws DeadObjectException {  
    	         windowManager.injectKeyEvent(event.isDown(), event.getKeyCode(), event.getRepeatCount(), event.getDownTime(), event.getEventTime(), true);  
     } 
     
     final IWindowManager windowManager = IWindowManager.Stub.asInterface(ServiceManager.getService("window"));
}