package edu.berkeley.cs160.theflash.flashlight;

import android.app.*;
import android.content.Intent;
import android.os.Bundle;
import android.widget.*;
import android.view.KeyEvent;
import android.view.View;
import android.view.Window;
import android.view.animation.*;
import android.graphics.*;
public class Shapes extends Activity {
	
	ImageView mShapesView;
	
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		// Turn off the title bar
        requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.ambient);
		ImageView dancingLight = (ImageView) findViewById(R.id.dancinglight);
		ImageView dancingLight0 = (ImageView) findViewById(R.id.dancinglight0);
		ImageView dancingLight1 = (ImageView) findViewById(R.id.dancinglight1);
		ImageView dancingLight2 = (ImageView) findViewById(R.id.dancinglight2);
		ImageView dancingLight3 = (ImageView) findViewById(R.id.dancinglight3);
		ImageView dancingLight4 = (ImageView) findViewById(R.id.dancinglight4);
		mShapesView = dancingLight;
		mShapesView.setFocusable(true);
		
		// Create root AnimationSet.		
		AnimationSet rootSet = new AnimationSet(true);
		AnimationSet rootSetL = new AnimationSet(true);
		rootSet.setRepeatMode(Animation.REPEAT);
		rootSetL.setRepeatMode(Animation.REPEAT);	
		TranslateAnimation transR = new TranslateAnimation(Animation.RELATIVE_TO_SELF, 0, Animation.RELATIVE_TO_SELF, 1,Animation.RELATIVE_TO_SELF, 0,Animation.RELATIVE_TO_SELF, 2);
		TranslateAnimation transL = new TranslateAnimation(Animation.RELATIVE_TO_SELF, 0, Animation.RELATIVE_TO_SELF, -1,Animation.RELATIVE_TO_SELF, 0,Animation.RELATIVE_TO_SELF, 2);		
		transR.setDuration(5000);
		transR.setFillAfter(false);				
		transL.setDuration(5000);
		transL.setFillAfter(false);
		transR.setRepeatMode(Animation.REPEAT);
		transL.setRepeatMode(Animation.REPEAT);
		
		
		RotateAnimation rotate = new RotateAnimation(
		       0, 
		       360, 
		       RotateAnimation.RELATIVE_TO_SELF, 0.5f, 
		       RotateAnimation.RELATIVE_TO_SELF, 0.5f);
		       rotate.setFillAfter(true);
		       rotate.setDuration(500);
		       
		AlphaAnimation alpha = new AlphaAnimation( (float) 0.4, (float) 1.0);
		AlphaAnimation alpha2 = new AlphaAnimation((float) 1.0, (float) 0.4);		
		
		
		alpha.setDuration(1000);
		alpha2.setDuration(1000);			
		alpha.setStartOffset(1000);
		rootSet.addAnimation(alpha);
		rootSet.addAnimation(alpha2);
		rootSet.addAnimation(rotate);
		rootSetL.addAnimation(alpha);
		rootSetL.addAnimation(alpha2);
		rootSetL.addAnimation(rotate);
		
		rootSet.addAnimation(transR);
		rootSetL.addAnimation(transL);
		
		
		dancingLight.setBackgroundColor(Color.argb(255, 255, 1, 1));
		dancingLight0.setBackgroundColor(Color.argb(255, 1, 255, 1));
		dancingLight1.setBackgroundColor(Color.argb(255, 1, 1, 255));
		dancingLight2.setBackgroundColor(Color.argb(255, 255, 1, 255));
		dancingLight3.setBackgroundColor(Color.argb(255, 255, 255, 1));
		dancingLight4.setBackgroundColor(Color.argb(255, 1, 255, 255));
		dancingLight.startAnimation(rootSet);
		dancingLight0.startAnimation(rootSetL);
		dancingLight1.startAnimation(rootSet);
		dancingLight2.startAnimation(rootSetL);
		dancingLight3.startAnimation(rootSet);
		dancingLight4.startAnimation(rootSetL);
		
		//set onKeyListener
        mShapesView.setOnKeyListener(new View.OnKeyListener(){
        	
        	public boolean onKey(View v, int keyCode, KeyEvent event){
        		//Pressing the middle select key to switch to Bear mode
        		if(keyCode==KeyEvent.KEYCODE_DPAD_CENTER && event.getAction() == KeyEvent.ACTION_UP){
        			//Notify flashlight off
        			Toast.makeText(Shapes.this, "Kaleidoscope", Toast.LENGTH_SHORT).show();
        			Intent intent = new Intent(Shapes.this, shapestwo.class);
    	            startActivity(intent);
    	            finish();
        			return true;
        		}else{
        			return false;
        		}
        	}
        });
	}
}
