package edu.berkeley.cs160.theflash.flashlight;
import android.app.*;
import android.content.Intent;
import android.os.Bundle;
import android.widget.*;
import android.view.KeyEvent;
import android.view.View;
import android.view.Window;
import android.view.animation.*;
import android.graphics.*;
public class shapestwo extends Activity {
	ImageView mShapesView;
	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.shapestwo);
		ImageView lightSquareA = (ImageView) 
		findViewById(R.id.dancinglight);
		ImageView lightSquareB = (ImageView) 
		findViewById(R.id.dancinglight0);
		ImageView lightSquareC = (ImageView) 
		findViewById(R.id.dancinglight1);
		ImageView lightSquareD = (ImageView) 
		findViewById(R.id.dancinglight2);
		AnimationSet animationA = new AnimationSet(true);
		AnimationSet animationB = new AnimationSet(true);
		AnimationSet animationC = new AnimationSet(true);
		AnimationSet animationD = new AnimationSet(true);
		mShapesView = lightSquareA;
		mShapesView.setFocusable(true);
		RotateAnimation rotate360InHalfSecond = new 
		RotateAnimation(
				0, 
				360, 
				RotateAnimation.RELATIVE_TO_SELF, 0.5f, 
				RotateAnimation.RELATIVE_TO_SELF, 0.5f);			
		rotate360InHalfSecond.setDuration(5000);
		rotate360InHalfSecond.setRepeatMode(Animation.REPEAT);

		AnimationSet alphaContainer = new AnimationSet(true);		
		AlphaAnimation alphaHighToLow = new AlphaAnimation( 
				(float) 0.4, (float) 1.0);
		alphaHighToLow.setDuration(3000);
		alphaContainer.addAnimation(alphaHighToLow);		
		alphaContainer.setRepeatMode(Animation.REVERSE);

		ScaleAnimation scaleUp = new ScaleAnimation( 
				(float) 1.0, (float) 8.0, 
				(float) 1.0, (float) 8.0, 
				(float) 10.0, (float) 10.0);
		scaleUp.setDuration(5000);							
		AnimationSet scaleContainer = new AnimationSet(true);
		scaleUp.setRepeatMode(Animation.REPEAT);
		scaleContainer.addAnimation(scaleUp);
		scaleContainer.setRepeatMode(Animation.REVERSE);
		scaleContainer.setDuration(10000);

		TranslateAnimation translation1 = new 
		TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 5,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0);

		TranslateAnimation translation2 = new 
		TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 3);

		TranslateAnimation translation3 = new 
		TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, -5,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0);

		TranslateAnimation translation4 = new 
		TranslateAnimation(
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, 0,
				Animation.RELATIVE_TO_SELF, -3);

		translation1.setDuration(1500);
		translation2.setDuration(1500);
		translation2.setStartOffset(5000);
		translation3.setDuration(1500);
		translation3.setStartOffset(10000);
		translation4.setDuration(1500);
		translation4.setStartOffset(15000);

		translation1.setFillAfter(true);
		translation2.setFillAfter(true);
		translation3.setFillAfter(true);
		translation4.setFillAfter(true);

		animationA.addAnimation(alphaContainer);		

		animationA.addAnimation(rotate360InHalfSecond);
		animationA.addAnimation(scaleContainer);

		animationA.addAnimation(translation1);

		animationB.addAnimation(alphaContainer);
		animationB.addAnimation(rotate360InHalfSecond);
		animationB.addAnimation(scaleContainer);
		animationB.addAnimation(translation1);
		animationB.addAnimation(translation2);

		animationC.addAnimation(alphaContainer);
		animationC.addAnimation(rotate360InHalfSecond);
		animationC.addAnimation(scaleContainer);
		animationC.addAnimation(translation1);
		animationC.addAnimation(translation2);
		animationC.addAnimation(translation3);

		animationD.addAnimation(alphaContainer);
		animationD.addAnimation(rotate360InHalfSecond);
		animationD.addAnimation(scaleContainer);
		animationD.addAnimation(translation1);
		animationD.addAnimation(translation2);
		animationD.addAnimation(translation3);
		animationD.addAnimation(translation4);

		lightSquareA.setBackgroundColor(Color.argb(255, 255, 1, 
				1));
		lightSquareB.setBackgroundColor(Color.argb(255, 1, 255, 
				1));
		lightSquareC.setBackgroundColor(Color.argb(255, 1, 1, 
				255));
		lightSquareD.setBackgroundColor(Color.argb(255, 255, 1, 
				255));

		lightSquareA.startAnimation(animationA);		
		lightSquareB.startAnimation(animationB);
		lightSquareC.startAnimation(animationC);
		lightSquareD.startAnimation(animationD);

		mShapesView.setOnKeyListener(new View.OnKeyListener(){

			public boolean onKey(View v, int keyCode, KeyEvent event){
				//Pressing the middle select key to switch to Bear mode
				if(keyCode==KeyEvent.KEYCODE_DPAD_CENTER && event.getAction() == KeyEvent.ACTION_UP){
					//Notify flashlight off
					Toast.makeText(shapestwo.this, "Rain", Toast.LENGTH_SHORT).show();
					Intent intent = new Intent(shapestwo.this, randomShapes.class);
					startActivity(intent);
					finish();
					return true;
				}else{
					return false;
				}
			}
		});
	}
}

